> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get upload url

> Generates a signed URL for uploading a file.



## OpenAPI

````yaml post /workspaces/upload
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/upload:
    post:
      tags:
        - Workspace
      description: Generates a signed URL for uploading a file.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: query
          name: file_name
          schema:
            type: string
          required: true
          description: The name of the file to upload
        - in: query
          name: content_type
          schema:
            type: string
          required: true
          description: The content type of the file
        - in: query
          name: checksum
          schema:
            type: string
          required: true
          description: The checksum of the file
      responses:
        '200':
          description: Successfully generated upload URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSignedUrl'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    UploadSignedUrl:
      type: object
      description: Represents a signed URL for uploading an asset.
      properties:
        key:
          type: string
          description: The unique key associated with the upload.
        signed_url:
          type: string
          description: The signed URL used for uploading the asset.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````